Installer le plugin CkEditor 4.x avec le module Wysiwyg

Portrait de Alex
CkEditor est disponible en version 4, qui améliore des tas de choses et qui est bien plus agréable à utiliser. 
Cependant avec la version 2.2 du module Wysiwyg, le plugin n'est pas reconnu, parce que des guillemets simples ont été remplacés par des doubles dans le fichier ckeditor.js du plugin. 
 
Pour résoudre ce problème, il faut patcher le module Wysiwyg comme suit: 
Fichier: wysiwyg/editors/ckeditor.inc Ligne 81 
Remplacer la ligne par: 
 
if (preg_match('@version:[\'\"](?:CKEditor )?([\d\.]+)(?:.+revision:[\'\"]([\w]+))[email protected]', $line, $version)) {